/******************** (C) COPYRIGHT 2005 STMicroelectronics ************************
* File Name : main.c
* Purpose: The purpose of this program is to display the "Very Simple Program      * 
           demonstrating how to use Keil tool" message on the terminal window 	   *
		   provided by vision debugger                                            * 
* 								                                                   *
*                                                                                  *
*                                                                                  *
***********************************************************************************/


/**********************************Includes****************************************/
#include <stdio.h>              
#include <ST10F276.h>              



/****************/
/* main program */
/****************/
void main (void)  
{               
//If you will debug this application on Target Hardware, there is no need to initialize the 
// serial interface.
/* initialize the serial interface */

  P3  |= 0x0400;        /* SET PORT 3.10 OUTPUT LATCH (TXD)              */
  DP3 |= 0x0400;        /* SET PORT 3.10 DIRECTION CONTROL (TXD OUTPUT)  */
  DP3 &= 0xF7FF;        /* RESET PORT 3.11 DIRECTION CONTROL (RXD INPUT) */
  S0TIC = 0x80;         /* SET TRANSMIT INTERRUPT FLAG                   */
  S0RIC = 0x00;         /* DELETE RECEIVE INTERRUPT FLAG                 */
  S0BG  = 0x40;         /* SET BAUDRATE TO 9600 BAUD                     */
  S0CON = 0x8011;       /* SET SERIAL MODE                               */
  
  while (1)
  {
  printf ("Very Simple Program demonstrating how to use Keil tool \n"); 
  }



}
/******************* (C) COPYRIGHT 2005 STMicroelectronics *****END OF FILE****/






















