/******************** (C) COPYRIGHT 2005 STMicroelectronics ************************
* File Name          : main.c													   *
* Author             : MCD ST10 Application Team								   *
* Description        : Periodic interrupts on GPT1 Timer2 and Timer 3              * 
* Purpose: The purpose of this program is to toggle Port 2 pin 0 every GPT1 Timer2 *                                                                          *
*          Overflow Interrupt (every 1.678 s) and to toggle Port 2 pin 1 every GPT2* 
*		   Timer3 Overflow Interrupt (every 104.8 ms)                              *
***********************************************************************************/

/***********************************************************************************
* INCLUDES
************************************************************************************/

#include"Timer.h"

/*************************************Main*****************************************/

void main(void)
{
IEN=1;				           // Enable Global Interrupts  
Configure_GPT1_Timer_2();
Configure_GPT1_Timer_3();
while(1)
	{

   		T3R=1;			       // Run Timer3
		T2R=1;			       // Run Timer2
	}                          // End While 


					            
}	   // End main

/******************* (C) COPYRIGHT 2005 STMicroelectronics *****END OF FILE********/ 


		 